Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 31065 - Arch questions for launcher
Arch questions for launcher
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Documentation
3.x
All All
: P1 (vote)
: 4.x
Assigned To: Jaroslav Tulach
issues@platform
:
Depends on: 32053 32078
Blocks: 30370
  Show dependency treegraph
 
Reported: 2003-02-14 13:54 UTC by Jaroslav Tulach
Modified: 2008-12-22 21:44 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2003-02-14 13:54:14 UTC
Describe architecture of startup launcher by
answering NetBeans
Arch Questions as described at

http://openide.netbeans.org/tutorial/api.html
Comment 1 Jaroslav Tulach 2003-02-14 13:55:44 UTC
As we are short on time and I have reported that as late, I am ready
to try it. I'll be here tomorrow, Jesse, if you are not able to handle
it, reassign to me.
Comment 2 Jaroslav Tulach 2003-02-14 14:21:45 UTC
I have created core/arch/build.xml with a target launcher.
Comment 3 Jesse Glick 2003-02-14 14:28:34 UTC
No problem, I should be able to do it today (my timezone, that is).
Comment 4 Jaroslav Tulach 2003-02-14 14:33:07 UTC
That is excelent. We still miss compiler and explorer which I will
have to provide in some way, so thanks. Btw. maybe the NetBeans Arch
Questions are not well suited for this component, they better fit for
modules. AFAIK Important things are command line options, location of
different files and environment variables.
Comment 5 Jesse Glick 2003-02-14 18:44:31 UTC
Done.
Comment 6 Jesse Glick 2003-02-15 03:11:31 UTC
Oops, did not mention any commandline options.
Comment 7 Jesse Glick 2003-02-18 02:24:12 UTC
Fixed that.
Comment 8 Jaroslav Tulach 2003-04-14 16:48:16 UTC
I have provided support for "groups" of APIs and I think you could use
it in launcher to have a groups "env", "winreg", etc. 

As I do not know the right group names, I leave it up to you. Please
add the names into nbbuild/**/Arch.dtd and use it in arch-*.xml as
<api group="env" ... />
Comment 9 Jesse Glick 2004-04-16 01:41:57 UTC
Actually I don't know so much about the launcher any more, after the
new layout changes... if there is more left to write probably you are
best qualified.
Comment 10 Jaroslav Tulach 2004-06-08 13:23:40 UTC
I've changed the launcher a bit and updated the documentation to talk
about var/imported and -Dnetbeans.importclass. It still mixes, all
properties, winregistry values, etc. in one table, but I guess it does
not matter much if everything is documented and it seems to be.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo